using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;

namespace EventLogAnalyzer.View.Converter
{
    public class HighlightToColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType,
          object parameter, CultureInfo culture)
        {
            if(value is bool)
                return (bool)value ? Brushes.Transparent : Brushes.White;
            return Brushes.White;
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            return null;
        }       
    }
}