using System;
using System.Globalization;
using System.Windows.Data;

namespace EventLogAnalyzer.View.Converter
{
    public class OrderToYTranslateConverter : IValueConverter
    {
        public object Convert(object value, Type targetType,
          object parameter, CultureInfo culture)
        {
            if(value is int)
            {
                return ((int)value) * 30;
            }
            return 0;
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            return null;
        }       
    }
}