﻿using System;

namespace EventLogAnalyzer.Model
{
    public class EventLog : BusinessModelBase
    {
        private int _commonEventId; 
        public int CommonEventId 
        {
            get { return _commonEventId; }
            set
            {
                if (_commonEventId != value)
                {
                    _commonEventId = value;
                    OnPropertyChanged("CommonEventId");
                }
            }
        }

        public string _data;
        public string Data
        {
            get { return _data; }
            set
            {
                if (_data != value)
                {
                    _data = value;
                    OnPropertyChanged("Data");
                }
            }
        }

        private DateTime _timeStamp;
        public DateTime TimeStamp 
        {
            get { return _timeStamp; }
            set
            {
                if (_timeStamp != value)
                {
                    _timeStamp = value;
                    OnPropertyChanged("TimeStamp");
                }
            }
        }

    }
}