﻿using System.Collections.ObjectModel;

namespace EventLogAnalyzer.Model
{
    public class LogFile : BusinessModelBase
    {
        public LogFile()
        {
            Logs = new ObservableCollection<EventLog>();
        }

        private string _fileName;
        public string FileName
        {
            get { return _fileName; }
            set
            {
                if (_fileName != value)
                {
                    _fileName = value;
                    OnPropertyChanged("FileName");
                }
            }
        }

        public ObservableCollection<EventLog> Logs { get; set; }
    }
}