using System;
using System.Globalization;
using System.Windows.Data;

namespace EventLogAnalyzer.View.Converter
{
    public class BoolToOpacityConverter : IValueConverter
    {
        public object Convert(object value, Type targetType,
          object parameter, CultureInfo culture)
        {
            if(value is bool)
                return (bool)value ? 1 : 0.3;
            return 1;
        }

        public object ConvertBack(object value, Type targetType,
            object parameter, CultureInfo culture)
        {
            return null;
        }       
    }
}