﻿using System;

namespace EventLogAnalyzer.ViewModel.XAxisInclusionStrategies
{
    public class CommonEventIdBasedStrategy : IXAxisInclusionStrategy
    {
        private readonly int _commongEventId;

        public CommonEventIdBasedStrategy(int commongEventId)
        {
            this._commongEventId = commongEventId;
        }

        public bool DoesLogBelongHere(EventLogViewModel log)
        {
            return log.CommonEventId == _commongEventId;
        }
    }
}